How to update your environment to connect to Adobe Campaign with IMS

On June 30, 2021 changes have beeb made to Adobe Identity Management System (IMS) login capabilities that could impact your ability to continue to use Adobe Campaign. Learn how to ensure you continue to use Adobe Campaign Classic v7 without interruption.

What changed?

Adobe Identity Management Service (IMS) stopped supporting old Internet Explorer versions on June 30, 2021. Learn more.

Adobe wants to preserve IMS functionality for all customers past June 30, 2021. IMS is part of the security framework which allows users to login to the Client Console, thus Adobe Campaign.

To preserve this functionality, customers must update the Client Console on each users’ machine, and ensure the latest update of your Windows version, with Internet Explorer 11 built-in, is installed on each users’ machine.

Are you impacted?

If you are connecting to Campaign via an Adobe ID, through Adobe Identity Management Service (IMS), and running an older version of Campaign than the ones listed below, you are impacted.

If you already upgraded but using an old version of Microsoft Internet Explorer, you must upgrade to Internet Explorer 11.

How to update?

  • As a hosted customer, Adobe already upgraded your instance(s) to the newer version.

  • As an on-premise/hybrid customer, you need to upgrade to one of the newer versions listed above to benefit from the new Client Console and ensure a seamless transition before June 30, 2021.

    Upgrade to one of the new versions listed below is mandatory:

    These releases come with a new connection protocol. Upgrade is mandatory for both Campaign server and Client Console: once all instances are upgraded, the Client Console needs to be upgraded to this version as well to be able to connect to Campaign after June 30, 2021.

In addition, ensure the latest update of your Windows version, with Internet Explorer 11 built-in, is installed on each users’ machine.

FAQ

How can I check my Campaign version?

Learn how to check your version in this section.

How can I check if I use IMS?

To check your connection mode, you can:

  • Launch Campaign Client Console and access your instance connection settings. If the Connect with an Adobe ID option is selected, you are using Adobe IMS.

or

  • Launch Campaign Client Console, and check your connection window. If you are connecting with an Adobe ID, as shown in the screen below, you are using IMS.

Connection Warning Message

The following warning message is visible to users if they need to update their Client Console or use an old version of Microsoft Internet Explorer: You need to install the latest updated to Windows and/or your Adobe apps.

If you see such a warning, ensure that you install the latest updates of the operating system you are using. Learn more

If you did not update your Internet Explorer version, you see the following message, and can no longer connect to Adobe Campaign:

NOTE

For any questions about these changes, contact Adobe Customer Care.

On this page